﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Spire.Xls;
using Spire.Xls.Core;

namespace SALESSUPPORT_1487
{
    class Program
    {
        static void Main(string[] args)
        {
            Workbook workbook = new Workbook();
            //Load data to workbook
            workbook.LoadFromFile(@"..\..\order1.xls",ExcelVersion.Version97to2003);
            //Get worksheet of data
            Worksheet data = workbook.Worksheets[0];
            //Get worksheet of pivot table 
            Worksheet report = workbook.Worksheets.Add("report");
            //Add pivot cache
            PivotCache pc = workbook.PivotCaches.Add(data["A1:L206"]);
            PivotTable pt = report.PivotTables.Add("order_report", report.Range["B2"], pc);

            PivotField fieldOrderNo = pt.PivotFields["OrderNo"] as PivotField;
            fieldOrderNo.SortType = PivotFieldSortType.Ascending;
            fieldOrderNo.Axis = AxisTypes.Row;
           
            PivotField fieldShipData = pt.PivotFields["ShipDate"] as PivotField;
            fieldShipData.Axis = AxisTypes.Row;

            PivotField fieldShipVIA = pt.PivotFields["ShipVIA"] as PivotField;
            fieldShipVIA.Axis = AxisTypes.Column;
          
            IPivotField fieldItemsTotal = pt.PivotFields["ItemsTotal"];
            pt.DataFields.Add(fieldItemsTotal, "ItemsTotal", SubtotalTypes.Sum);

           
            pt.ShowDrillIndicators = true;
            
            pt.DisplayFieldCaptions = true;

            pt.BuiltInStyle = PivotBuiltInStyles.PivotStyleDark14;

            pt.Options.EnableFieldProperties = true;

            report.Activate();

            string name = "s1.xlsx";
            workbook.SaveToFile(name, ExcelVersion.Version2007);
            System.Diagnostics.Process.Start(name);
        }
    }
}
